本次安装使用的是emos-1.6.0镜像包配置yum源安装的方式进行安装,在通过yum安装的时候出现了系列错误。通过查找类似错误得出是由于一些软件包已被安装而导致出现的错误,从而导致/var/www

/var/www/extsuite/extman/这个目录文件不能被生成,本次安装过程如下:

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
[root@sms ~]# yum -y install extsuite-webman
已加载插件:product-id, refresh-packagekit, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
设置安装进程
解决依赖关系
--> 执行事务检查
---> Package extsuite-webman.noarch 0:1.1-2hzq will be 安装
--> 处理依赖关系 perl-rrdtool,它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 处理依赖关系 rrdtool,它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 处理依赖关系 perl(File::Tail),它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 处理依赖关系 perl(RRDs),它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 执行事务检查
---> Package perl-File-Tail.noarch 0:0.99.3-1.2.el6.rf will be 安装
---> Package rrdtool.x86_64 0:1.3.8-6.el6 will be 安装
--> 处理依赖关系 dejavu-lgc-sans-mono-fonts,它被软件包 rrdtool-1.3.8-6.el6.x86_64 需要
---> Package rrdtool-perl.x86_64 0:1.3.8-6.el6 will be 安装
--> 执行事务检查
---> Package dejavu-lgc-sans-mono-fonts.noarch 0:2.30-2.el6 will be 安装
--> 处理依赖关系 dejavu-fonts-common = 2.30-2.el6,它被软件包 dejavu-lgc-sans-mono-fonts-2.30-2.el6.noarch 需要
--> 完成依赖关系计算
错误:Package: dejavu-lgc-sans-mono-fonts-2.30-2.el6.noarch (rhel6.7-source)
          Requires: dejavu-fonts-common = 2.30-2.el6
          已安装: dejavu-fonts-common-2.33-1.el6.noarch (@anaconda-RedHatEnterpriseLinux-201507020259.x86_64/6.7)
              dejavu-fonts-common = 2.33-1.el6
          Available: dejavu-fonts-common-2.30-2.el6.noarch (rhel6.7-source)
              dejavu-fonts-common = 2.30-2.el6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
1
[root@sms ~]# yum -y remove dejavu-fonts-common-2.33-1.el6.noarch   //根据错误提示卸载已安装的提示软件包

 重新执行yum安装命令:

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
[root@sms ~]# yum -y install extsuite-webman
已加载插件:product-id, refresh-packagekit, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
设置安装进程
解决依赖关系
--> 执行事务检查
---> Package extsuite-webman.noarch 0:1.1-2hzq will be 安装
--> 处理依赖关系 perl-rrdtool,它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 处理依赖关系 rrdtool,它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 处理依赖关系 perl(File::Tail),它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 处理依赖关系 perl(RRDs),它被软件包 extsuite-webman-1.1-2hzq.noarch 需要
--> 执行事务检查
---> Package perl-File-Tail.noarch 0:0.99.3-1.2.el6.rf will be 安装
---> Package rrdtool.x86_64 0:1.3.8-6.el6 will be 安装
--> 处理依赖关系 dejavu-sans-mono-fonts,它被软件包 rrdtool-1.3.8-6.el6.x86_64 需要
--> 处理依赖关系 dejavu-lgc-sans-mono-fonts,它被软件包 rrdtool-1.3.8-6.el6.x86_64 需要
---> Package rrdtool-perl.x86_64 0:1.3.8-6.el6 will be 安装
--> 执行事务检查
---> Package dejavu-lgc-sans-mono-fonts.noarch 0:2.30-2.el6 will be 安装
--> 处理依赖关系 dejavu-fonts-common = 2.30-2.el6,它被软件包 dejavu-lgc-sans-mono-fonts-2.30-2.el6.noarch 需要
---> Package dejavu-sans-mono-fonts.noarch 0:2.30-2.el6 will be 安装
--> 执行事务检查
---> Package dejavu-fonts-common.noarch 0:2.30-2.el6 will be 安装
--> 完成依赖关系计算
依赖关系解决
====================================================================================================================
 软件包                               架构             版本                          仓库                      大小
====================================================================================================================
正在安装:
 extsuite-webman                      noarch           1.1-2hzq                      rhel6.7-source           555 k
为依赖而安装:
 dejavu-fonts-common                  noarch           2.30-2.el6                    rhel6.7-source            58 k
 dejavu-lgc-sans-mono-fonts           noarch           2.30-2.el6                    rhel6.7-source           392 k
 dejavu-sans-mono-fonts               noarch           2.30-2.el6                    rhel6.7-source           449 k
 perl-File-Tail                       noarch           0.99.3-1.2.el6.rf             rhel6.7-source            23 k
 rrdtool                              x86_64           1.3.8-6.el6                   rhel6.7-source           292 k
 rrdtool-perl                         x86_64           1.3.8-6.el6                   rhel6.7-source            35 k
事务概要
====================================================================================================================
Install       7 Package(s)
总下载量:1.8 M
Installed size: 4.3 M
下载软件包:
--------------------------------------------------------------------------------------------------------------------
总计                                                                                7.6 MB/s | 1.8 MB     00:00     
运行 rpm_check_debug 
执行事务测试
事务测试成功
执行事务
  正在安装   : dejavu-fonts-common-2.30-2.el6.noarch                                                            1/7 
  正在安装   : dejavu-lgc-sans-mono-fonts-2.30-2.el6.noarch                                                     2/7 
  正在安装   : dejavu-sans-mono-fonts-2.30-2.el6.noarch                                                         3/7 
  正在安装   : rrdtool-1.3.8-6.el6.x86_64                                                                       4/7 
  正在安装   : rrdtool-perl-1.3.8-6.el6.x86_64                                                                  5/7 
  正在安装   : perl-File-Tail-0.99.3-1.2.el6.rf.noarch                                                          6/7 
  正在安装   : extsuite-webman-1.1-2hzq.noarch                                                                  7/7 
  Verifying  : dejavu-lgc-sans-mono-fonts-2.30-2.el6.noarch                                                     1/7 
  Verifying  : perl-File-Tail-0.99.3-1.2.el6.rf.noarch                                                          2/7 
  Verifying  : rrdtool-1.3.8-6.el6.x86_64                                                                       3/7 
  Verifying  : dejavu-sans-mono-fonts-2.30-2.el6.noarch                                                         4/7 
  Verifying  : rrdtool-perl-1.3.8-6.el6.x86_64                                                                  5/7 
  Verifying  : dejavu-fonts-common-2.30-2.el6.noarch                                                            6/7 
  Verifying  : extsuite-webman-1.1-2hzq.noarch                                                                  7/7 
已安装:
  extsuite-webman.noarch 0:1.1-2hzq                                                                                 
作为依赖被安装:
  dejavu-fonts-common.noarch 0:2.30-2.el6                dejavu-lgc-sans-mono-fonts.noarch 0:2.30-2.el6            
  dejavu-sans-mono-fonts.noarch 0:2.30-2.el6             perl-File-Tail.noarch 0:0.99.3-1.2.el6.rf                 
  rrdtool.x86_64 0:1.3.8-6.el6                           rrdtool-perl.x86_64 0:1.3.8-6.el6                         
完毕!

提示安装完毕

1
[root@sms tools]# ls /var/www/extsuite/extman/docs/         //检查mysql数据库模板